Bug 110039 - mounting samba-shares in kernel 2.6 ignores uid & gid
mounting samba-shares in kernel 2.6 ignores uid & gid
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-14 07:24 EST by Christian Ohlsson
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:40:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Ohlsson 2003-11-14 07:24:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030 Epiphany/1.0.4

Description of problem:
When mounting a samba-share on another computer, using uid and gid
arguments these (uid & gid) gets ignored. 
My fstab looks like:
//computer/share /mnt/share smbfs 
auto,rw,username=someone,password=something,uid=500,gid=500,codepage=cp850,iocharset=iso8859-1
  0 0
It works nice in kernel 2.4

Version-Release number of selected component (if applicable):
samba-client-3.0.0-15, kernel-2.6.0-0.test9.1.83.i686.rpm 

How reproducible:
Always

Steps to Reproduce:
1. Install Arjan's kernel 2.6
2. Try to mount a samba-share using some uid&gid
3. Try to write something on the mounted filesystem
    

Actual Results:  The filesystem is mounted read-only, because that the
correct uid & gid wasn't set properly

Expected Results:  The mounted filesystem should be mounted with "the
local me" as the owner of the files, as it is with kernel 2.4.x

Additional info:
Comment 1 Jay Fenlason 2003-11-14 13:57:25 EST
This is most likely a kernel bug rather than a bug in Samba.  I'm 
reassigning it to the right folks. 
Comment 2 Glen Shadbolt 2004-05-21 23:30:17 EDT
I'm seeing the same problem in FC2 with kernel-2.6.6-1.376, using both
mount -t smbfs and mount.cifs. The shares are mounting, but uid and
gid are not set correctly.
Comment 3 Bernd Foerster 2004-07-12 18:18:33 EDT
Confirmed this problem on FC2 with kernel-2.6.6-1.453.2.3

seems that the directory of the actual mountpoint gets the right
uid/gid, its just not inherited to the subdirs and files
Comment 4 Rok Papez 2004-07-27 02:08:32 EDT
Confirming bug report and comment #3.

$ cat /etc/fedora-release 
Fedora Core release 2 (Tettnang)
$ uname -r
2.6.6-1.435.2.3

uid/gid are set only the parent directory is right.

This is a major problem since files have uid/gids from a
Solaris box and due to uid/gid colissions smbfs is totaly
unusable.

=====================
- Without UE, smbfs fakes the uid/gid as given to it by smbmnt 
  and a non-root user can't change it from his own. This is why you can't 
  set uid/gid with 2.4.
  With UE, smbfs ignores the uid/gid and instead accepts the server
values 
  the same way nfs or any network fs with unix like id:s would.
  Same goes for file modes.
ref: (http://securityfocus.com/archive/1/353554/2004-02-06/2004-02-12/0)
Comment 5 Xavier Bachelot 2004-09-01 20:43:19 EDT
confirmed again, it's like in comment #3 with FC2 kernel 2.6.8-1.521

a patch is floating around in samba bugzilla :
https://bugzilla.samba.org/show_bug.cgi?id=999
Comment 6 David Lawrence 2004-09-29 15:40:41 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.